Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8260428

Drop support for pre JDK 1.4 DatagramSocketImpl implementations

    XMLWordPrintable

    Details

    • Type: Enhancement
    • Status: Open
    • Priority: P3
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: 17
    • Component/s: core-libs

      Description

      java.net.DatgramSocket and MulticastSocket have support for pre JDK 1.4 DatgramSocketImpl implementations, specifically to support DatagramSocketImpls that were compiled with JDK 1.3 or older, which do not have support for connected sockets, for peeking at received datagrams, and for joining and leaving a group at a specific interface. This support is legacy. Such implementations do not compile with JDK 1.4 or newer, so it should be relatively safe to drop this support.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              pconcannon Patrick Concannon
              Reporter:
              dfuchs Daniel Fuchs
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated: